Page MenuHomePhabricator

dirstate-v2: Reuse existing paths when appending to a data file
ClosedPublic

Authored by SimonSapin on Jul 15 2021, 11:28 AM.

Details

Summary

When writing a dirstate in v2 format by appending to an existing data file,
filenames / paths that are borrowed from the previous on-disk representation
can be reused.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

SimonSapin created this revision.Jul 15 2021, 11:28 AM
baymax updated this revision to Diff 29321.Jul 16 2021, 5:38 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

marmoute accepted this revision.Jul 16 2021, 6:16 AM
marmoute added a subscriber: marmoute.
marmoute added inline comments.
rust/hg-core/src/dirstate_tree/on_disk.rs
593

looks like this comment want to be in the previous commit.

SimonSapin updated this revision to Diff 29336.Jul 16 2021, 8:37 AM
Alphare accepted this revision.Jul 16 2021, 8:59 AM
This revision is now accepted and ready to land.Jul 16 2021, 8:59 AM
baymax updated this revision to Diff 29353.Jul 16 2021, 5:45 PM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 29612.Jul 20 2021, 3:41 PM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)